com.aliyun.svideosdk.common.struct.project

## Class TimeFilter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack
    - - com.aliyun.svideosdk.common.struct.project.TimeFilter

-     public class TimeFilter
      extends EffectTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `EffectTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `mTimelineIn, mTimelineOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeFilter()`
    `TimeFilter(int id, long startTime, long duration, int type, float param, boolean needOriginDuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getDuration()` Gets the duration of the time filter.
    `float` | `getParam()` Gets the time effect param.
    `long` | `getStartTime()` Gets the start time of timeline.
    `int` | `getTimeFilterType()` Gets the time effect type.
    `boolean` | `isNeedOriginDuration()` Whether to retain the original video length.
    `void` | `setDuration(long duration)` Sets the duration of the time filter.
    `void` | `setNeedOriginDuration(boolean needOriginDuration)` Sets whether to retain the original video length.
    `void` | `setParam(float param)` Sets the time effect param.
    `void` | `setStartTime(long startTime)` Sets the start time of timeline.
    `void` | `setTimeFilterType(int type)` Sets the time effect type.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `getTimelineIn, getTimelineOut, getType, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeFilter

          public TimeFilter()

    - #### TimeFilter

          public TimeFilter(int id,
                            long startTime,
                            long duration,
                            int type,
                            float param,
                            boolean needOriginDuration)

  - ### Method Detail

    - #### isNeedOriginDuration

          public boolean isNeedOriginDuration()

      Whether to retain the original video length.
      Returns:
        is needOriginDuration

    - #### setNeedOriginDuration

          public void setNeedOriginDuration(boolean needOriginDuration)

      Sets whether to retain the original video length.
      Parameters:
        `needOriginDuration` - is needOriginDuration

    - #### getStartTime

          public long getStartTime()

      Gets the start time of timeline. Unit: milliseconds.
      Returns:
        start time

    - #### setStartTime

          public void setStartTime(long startTime)

      Sets the start time of timeline. Unit: milliseconds.
      Parameters:
        `startTime` - start time

    - #### getDuration

          public long getDuration()

      Gets the duration of the time filter. Unit: milliseconds.
      Returns:

    - #### setDuration

          public void setDuration(long duration)

      Sets the duration of the time filter. Unit: milliseconds.
      Parameters:
        `duration` - duration

    - #### getTimeFilterType

          public int getTimeFilterType()

      Gets the time effect type.
      Returns:
        time effect type
      See Also:
        `TimeEffectType`

    - #### setTimeFilterType

          public void setTimeFilterType(int type)

      Sets the time effect type.
      Parameters:
        `type` - time effect type
      See Also:
        `TimeEffectType`

    - #### getParam

          public float getParam()

      Gets the time effect param.
      Returns:
        effect param

    - #### setParam

          public void setParam(float param)

      Sets the time effect param.
      Parameters:
        `param` - effect param

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`